Summary:	Graphical Keyboard
Name:		gtkeyboard
Version:	1.1.8
Release:        %mkrel 10

License:	GPL
Group:		Accessibility
BuildRequires:  gtk+-devel >= 1.2.0

Source0:	http://opop.nols.com/proggie/%{name}-%{version}.tar.bz2
Source1:	gtkeyboard.menu.bz2
Source2:	gtkeyboard16.png.bz2
Source3:	gtkeyboard32.png.bz2
Source4:	gtkeyboard48.png.bz2
Patch0:		%{name}-1.1.8-gcc-3.3.patch.bz2

URL:		http://opop.nols.com/gtkeyboard.html
Requires:	gtk+ >= 1.2.0
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
GTKeyboard is an application meant to help users with physical
disabilities who may be unable to use the keyboard all the time to
type text using a graphically laid out keyboard.  It is also used by
people who are simply a little bit lazy.  At this point, it has 
support for several foreign keyboards as well as ability to redirect
keypresses to other X11 applications

%prep
%setup -q
%patch0 -p1 -b .gcc3.3

%build
%configure
%make ARCH_TYPE=%{_target_cpu} OPTIMIZATION="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_bindir}
install gtkeyboard $RPM_BUILD_ROOT%{_bindir}

#install keyboards
mkdir -p $RPM_BUILD_ROOT%{_datadir}/%{name}
chmod a+r KEY/CH.key
cp KEY/* $RPM_BUILD_ROOT%{_datadir}/%{name}/

#install menu
mkdir -p $RPM_BUILD_ROOT%{_menudir}
bzcat %{SOURCE1} > $RPM_BUILD_ROOT%{_menudir}/%{name}
mkdir -p $RPM_BUILD_ROOT%{_miconsdir}
mkdir -p $RPM_BUILD_ROOT%{_liconsdir}
bzcat %{SOURCE2} > $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png
bzcat %{SOURCE3} > $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
bzcat %{SOURCE4} > $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png

%post
%{update_menus}

%postun
%{clean_menus}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS BUGS ChangeLog COPYING INSTALL README about.data COMPILING NEWS TODO
%doc CONFIG/*
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_menudir}/%{name}
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png

%changelog
* Thu Nov 02 2006 Texstar <texstar@houston.rr.com> 1.1.8-10pclos2007
- Build for PCLinuxOS 2007

